/* Tipografías */
@font-face {
  font-family: Indulta;
  src: url('../fonts/Indulta-SemiSerif-boldFFP.otf'), url('../fonts/Verlag-Bold.otf')}

@font-face {
  font-family: Apercu;
  src: url('../fonts/Apercu-Light.otf')
}
/* */


* {
  margin: 0;
  padding: 0;
}

html {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  height: 100%;
  width: 100%;
  min-height: 100%;
  min-width: 100%;
  margin: 0;
  padding: 0;
}

body {
  height: 100%;
  width: 100%;
  min-height: 100%;
  min-width: 100%;
  margin: 0;
  padding: 0;
}

h1, h2 {
  font-family: Indulta;
  font-weight: 500;
  line-height: 1.1;
  color: inherit;
}

h3, h4, h5, h6 {
  font-family: Apercu;
  font-weight: 500;
  line-height: 1.1;
  color: inherit;    
}

h1, .h1, h2, .h2, h3, .h3 {
  margin-top: 20px;
  margin-bottom: 10px;
}

h4, .h4, h5, .h5, h6, .h6 {
  margin-top: 10px;
  margin-bottom: 10px;
}

h1, .h1 {
  font-size: 36px;
}

h2, .h2 {
  font-size: 30px;
}

h3, .h3 {
  font-size: 24px;
}

h4, .h4 {
  font-size: 18px;
}

h5, .h5 {
  font-size: 14px;
}

h6, .h6 {
  font-size: 12px;
}

p {
  font-family: Apercu;    
  margin: 0 0 10px;
}

a {
  color: black;
  text-decoration: none; 
}

a:hover, a:focus {
  color: darkgrey;
  text-decoration: none; 
}

a:focus {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px; 
}

img[src*="https://cdn.000webhost.com/000webhost/logo/footer-powered-by-000webhost-white2.png"] {
    display: none;
}


hr { 
  display: block;
  margin-top: 4px;
  border-style: inset;
  border-width: 2px;
  width: 30%;
  border-color: #000;    
}

.underline1:hover {
  transition: background-size .4s ease;
  background: linear-gradient(to bottom, transparent 70%, #fff 0) center center/0% 50% no-repeat;
  cursor: pointer;
  letter-spacing: .08rem;
  background-size: 70% 30%;
  background-position: bottom;
}

.underline2:hover {
  transition: background-size .4s ease;
  background: linear-gradient(to bottom, transparent 70%, #000 0) center center/0% 50% no-repeat;
  cursor: pointer;
  letter-spacing: .08rem;
  background-size: 70% 30%;
  background-position: bottom;
}


/* Menu Navegación */
#mainNav {
  background-color: #fff;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}

.navbar {
    z-index: 2;
}

#mainNav .navbar-brand {
    font-family: Indulta;
    padding: .5rem 0;
    color: #000;
}

#mainNav.navbar-shrink .navbar-brand {
    color: #fff;
}@media screen and (max-width: 992px) {
  #mainNav.navbar-shrink .navbar-brand { 
    color: #000; } }

#mainNav .navbar-nav > li.nav-item > a.nav-link,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
  font:  400 0.9rem Apercu;
  margin-top: 10px;
  margin-bottom: 10px;
}

/*Hover menu hamburguesa*/

#mainNav .navbar-nav > li.nav-item > a.nav-link:hover,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
  color: darkgrey;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link.active,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus.active {
  color: #000 !important;
  background-color: transparent;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link.active:hover,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus.active:hover {
  background-color: transparent;
}

button:focus {
outline: 5px #000;
}

@media (min-width: 992px) {    
  #mainNav {
    border-color: transparent;
    background-color: transparent;
  }
    
  #mainNav .navbar-nav > li.nav-item > a.nav-link {
    padding: 0.5rem 1rem;
  }
    
  #mainNav .navbar-nav > li.nav-item > a.nav-link,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
    color: #000;
  }
    
  #mainNav .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #fff;
  }
    
  #mainNav.navbar-shrink {
    background-color: #000;  
  } 
    
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus {
    color: white;
  }
    
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #fff;
  }
}
/* */


/* Pop Up */
.popup-overlay{
  visibility:hidden;
}

.popup-overlay.active{
  visibility:visible;
  height:100%;
  width: 100%;
  position:fixed;
  z-index: 9999;
  background: rgba(0,0,0,0.6);  
}

.popup-content {
  visibility:hidden; 
  position: absolute;
  z-index: 1000;
  text-align: center;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;    
}

.popup-content.active {
    visibility: visible;
    background-color: #fff;
    width: 90%;
    height: 90%;
    overflow: hidden;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    margin-top: 4%;
    opacity: 1;
}

.cross { 
  cursor: pointer;
  margin: 20px;
  float: right;
}

.contact {font-family: Indulta;
  margin-top: 200px; 
  font-size: 10em;
  color: #000;
  text-align: center;
}

@media screen and (max-width: 992px) {
  .contact {
    margin-top: 200px;  
    font-size: 9em; } }

@media screen and (max-width: 768px) {
  .contact {
    margin-top: 225px;  
    font-size: 6em; } }

@media screen and (max-width: 479px) {
  .contact {
    margin-top: 80px;  
    font-size: 6em; } }

.mail {font-family: Indulta;
       font-size: 4em;
       color: #000;
       text-align: center;}

@media screen and (max-width: 992px) {
  .mail {
    margin-top: 400px;  
    font-size: 3.2em; } }

@media screen and (max-width: 768px) {
  .mail {
    margin-top: 400px;  
    font-size: 2.2em; } } 

@media screen and (max-width: 479px) {
  .mail {
    margin-top: 400px;  
    font-size: 1.2em; } }

.social {
  font-size: 2em;
  text-align: center;
}
@media screen and (max-width: 992px) {
  .social { 
    font-size: 1.9em; } }

@media screen and (max-width: 768px) {
  .social {  
    font-size: 1.7em; } } 

@media screen and (max-width: 479px) {
  .social {
    font-size: 1.2em; } }

/* */


/* Intro */
#overlay { 
  -o-animation: colorcycle 10s infinite;
  -moz-animation: colorcycle 10s infinite;
  -webkit-animation: colorcycle 10s infinite;
  animation: colorcycle 10s infinite; 
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";
  filter: alpha(opacity=20);
  -moz-opacity: 0.2;
  -khtml-opacity: 0.2;
  opacity: 0.2;
}

@-o-keyframes colorcycle {
  0%   {background: #000;}
  25%  {background: #5f5f5f;}
  50%  {background: #8a8989;}
  75%  {background: #5f5f5f;}
  100% {background: #000;}
}

@-moz-keyframes colorcycle {
  0%   {background: #000;}
  25%  {background: #5f5f5f;}
  50%  {background: #8a8989;}
  75%  {background: #5f5f5f;}
  100% {background: #000;}
}

@-webkit-keyframes colorcycle {
  0%   {background: #000;}
  25%  {background: #5f5f5f;}
  50%  {background: #8a8989;}
  75%  {background: #5f5f5f;}
  100% {background: #000;}
}

@keyframes colorcycle {
  0%   {background: #000;}
  25%  {background: #5f5f5f;}
  50%  {background: #8a8989;}
  75%  {background: #fff;}
  100% {background: #000;}
}

#intro, #intro-who, #intro-work, #overlay {
  height: 100%;
  width: 100%;
  min-height: 100%;
  min-width: 100%;
  margin: 0;
  padding: 0;
  position: relative;
  display: inline-block;
}
#intro { 
  background: url(../img/intro.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

@media screen and (max-width: 479px) {
  #intro {  
    background: url(../img/intro-min.jpg) no-repeat center center fixed;  } }

#intro .container {
    max-width: 100%;
}

.lolop {
  font-family:"Indulta";
  font-size:10em;
  text-align:left;
  padding: 200px 100px;    
  height:200px;
  display:flex;
  position:absolute;
  z-index: 1;    
  color:white;
  top:0;
  bottom:0;
  left:0;
  right:0;
}

.main-title{
  font-family: Indulta;
  font-size: 5em;
  position: absolute; 
  z-index: 1;       
  padding: 450px 100px; 
  color: white;         
}

.text-arrow{
  position: absolute;
  z-index: 1;    
  font-family: Apercu;
  font-size: 1em;
  text-align: center;   
  margin-top: 740px; 
  color: white;     
}


/* Rebote Last Projects */
.text-arrow {  display: inline-block; animation: .7s down  infinite alternate; -webkit-animation: .7s down infinite alternate; } 



@media screen and (max-width: 1024px) {
   .main-title {
     font-size: 4em;
     padding: 720px 50px; }
    
    .text-arrow {
     font-size: 2em;   
     margin-top: 1200px; }
     }

@media screen and (max-width: 992px) {
   .main-title {
     font-size: 3.5em;
     padding: 380px 100px; }
    
    .text-arrow {
     font-size: 1em;   
     margin-top: 600px; }
    
    .lolop{
     font-size:em;
     padding: 250px 100px; } }


@media screen and (max-width: 768px) {
    .main-title {
     font-size: 4.5em;
     padding: 300px 30px; }
    
    .text-arrow {
     font-size: 1.5em; 
     margin-top: 850px; }
    
    .lolop{
     font-size:5.5em;
     padding: 200px 30px; } }
      
@media screen and (max-width: 430px) {
  .main-title { 
    font-size: 2.7em;
    padding: 300px 16px;   
     }
.text-arrow {
    font-size: 1em;  
    margin-top: 530px;  
   }
.lolop{
   font-size:3.5em;
   padding: 230px 16px;      
 } 
}


/* Latest works */

#section1, #section2, #section3 {
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 800px; 
}


#section1{
    background-image: url("../img/works/waste.jpg"); 
}

#section2{
    background-image: url("../img/works/tinder-work.jpg"); 
}

#section3{
    background-image: url("../img/works/col-work.jpg"); 
}

.mockup img{
    position: absolute;
    padding-top: 350px;
    margin-left: 70%;
    width: 20%;  
}

@media screen and (max-width: 1024px) {
  .mockup img{
    padding-top: 350px;
    margin-left: 60%;
    width: 30%; } }

@media screen and (max-width: 992px) {
  #section1{
    background-repeat: no-repeat;
    background-size: contain;
    width: 100%;
    height: 700px; }
    
    .mockup img{
    padding-top: 300px;
    margin-left: 65%;
    width: 30%; } }

@media screen and (max-width: 768px) {
    #section1{
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 550px; } 

    #section2{
    background-image: url("../img/works/tinder-work.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 550px; }   

    #section3{
    background-image: url("../img/works/col-work.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 550px; }      
    
    .mockup img{
    padding-top: 100px;
    margin-left: 55%;
    width: 40%; }
    .arrow2 {
   display: none;
}  
    
  }
@media screen and (max-width: 430px) {
#section1{
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 500px;
 } 
    
#section2{
    background-image: url("../img/works/tinder-work.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 500px;
 }  
    
#section3{
    background-image: url("../img/works/col-work.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 500px;
 }      
    
.mockup img{
   display: none;
} 

.arrow2 {
   display: none;
}     
}

/* Intro Who*/

#intro-who { 
  background: url(../img/intro-who.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

@media screen and (max-width: 479px) {
  #intro-who {  
    background: url(../img/intro-who-min.jpg) no-repeat center center fixed;
    height: 100%;} }

#intro-who .container {
    max-width: 100%;
}

.who { 
  font-family: Indulta;
  font-size: 300px;
  color: white;
  position: absolute;    
  z-index: 1;
  text-align: center;
  margin-top: 340px;
  -webkit-animation-delay: 1.5s;
}

@media screen and (max-width: 768px) {
  .who {
    margin-top: 360px;  
    font-size: 9em;
    }
  }
@media screen and (max-width: 479px) {
  .who {
    margin-top: 280px;  
    font-size: 6.5em;
    }
  }

/* Intro Work */ 

#intro-work { 
  background: url(../img/intro-work.jpg)no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
@media screen and (max-width: 479px) {
  #intro-work {  
    background: url(../img/intro-work-min.jpg) no-repeat center center fixed;  } }

#intro-work .container {
    max-width: 100%;
}

.work {
  font-family: Indulta;
  font-size: 300px;
  color: white;
  position: absolute;    
  z-index: 1;
  text-align: center;
  margin-top: 340px;
  -webkit-animation-delay: 1.5s;
}


@media screen and (max-width: 992px) {
  .work {
    margin-top: 360px;  
    font-size: 10em;
    }
  }

@media screen and (max-width: 768px) {
  .work {
    margin-top: 360px;  
    font-size: 8em;
    }
  }
@media screen and (max-width: 479px) {
  .work {
    margin-top: 280px;  
    font-size: 6.25em;
    }
  }
/* */


/* Flecha Scroll */  
.arrow{
  font-size: 30px;  
  margin-top: 760px;
  color:#fff;
  display: inline-block;
  text-align: center;
  line-height: 40px;
  position: absolute;
  left:0;
  z-index: 1;
  width:100%;
  padding-bottom: 15px;
  font-size: 5px;
}
@media screen and (max-width: 1024px) {
    .arrow {  
    margin-top: 1250px;  }
  }
  

@media screen and (max-width: 992px) {
    .arrow {  
    margin-top: 620px;  }
  }

@media screen and (max-width: 768px) {
    .arrow {  
    margin-top: 900px;  }
  }

@media screen and (max-width: 479px) {
    .arrow {  
    margin-top: 550px;  }
  }

.arrow:hover,
.arrow:focus{text-decoration: none;}

/* Rebote Flecha */
.arrow span{  display: inline-block; font-size: 30px;	 animation: .7s down  infinite alternate; -webkit-animation: .7s down infinite alternate; } 
 
/* Animación Flecha */ 
@keyframes down{ 0%{transform:translateY(0px)} 100%{transform:translateY(20px)} } 
@-webkit-keyframes down{ 0%{-webkit-transform:translateY(0px)} 100%{-webkit-transform:translateY(20px)} } 
/* */


/* Who */

.title { 
  font-size: 50px;
  font-weight: 700; 
  color: #000;
}

@media screen and (max-width: 992px) {
  .title {
    font-size: 3em;
    }
  }

.icon { padding-right: 10px; 
}

/* Sección Educación */
.university {
    font-size: 16px;
    font-weight: 400;
  }
.year { font-size: 16px; }

.fondo-education {
    background: #f1f1f1;
    padding-top:  50px;
}
.content-espacio { padding: 60px 0; }

.education-espacio .col-sm-4 { padding:0 2px; }

.timeline-horizontal-border {
  display:  flex;
  align-items: center;
  padding: 26px 0 30px;
}

.timeline-horizontal-border i {
  font-size:  10px;
  color: #000;
  margin-right: 5px;
}

span.single-timeline-horizontal {
  display:  inline-block;
  background: darkgrey;
  height:  1px;
  width: 380px;
}

span.single-timeline-horizontal.spacial-horizontal-line { 
    width: 88px; 
}
/* */

/* Sección 'Skills' */
#bars {
	width: 90vw;
	max-width: 400px;
	margin: 1em;
}
.contador:after{
	content: "%";
}
.skillbar {
	position: relative;
	display: block;
	margin-bottom: 1.6em;
	width: 100%;
	background: rgba(193,193,193,0.7);
	height: 2em;
	border-radius: 3px;
	transition: 0.4s linear;
	transition-property: width, background-color;
}
.skillTitle {
	position: absolute;
	top: 0;
	left: 0;
	width: 7em;
	font-weight: 300;
	font-size: 1em;
	color: #ffffff;
	background: #6adcfa;
	border-top-left-radius: 3px;
	border-bottom-left-radius: 3px;
	text-align: center;  
}
.skillTitle span {
  font-family: Apercu;
	display: block;
	background: rgba(0, 0, 0, 0.1);
	height: 2em;
	line-height: 2em;
	border-top-left-radius: 3px;
	border-bottom-left-radius: 3px;
}
.skillBarra {
	height: 2em;
	width: 0px;
	background: #6adcfa;
	border-radius: 3px;
}
.porcentaje {
	position: absolute;
	right: 1em;
	top: 5px;
	font-size: 12px;
	height: 2em;
	line-height: 2em;
	color: rgba(0, 0, 0, 0.6);
}
.contenedor {
  max-width: 1000px;
  margin: 0 auto;
}
/* */


/* Work */
/* Portfolio */
.snip1573 {
  cursor: pointer;
  background-color: #fff;
  display: inline-block;
  font-family: Indulta;
  font-size: 16px;
  overflow: hidden;
  position: relative;
  text-align: center;
  width: 100%;
}

.snip1573:before,
.snip1573:after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  -webkit-transition: all 0.35s ease;
  transition: all 0.35s ease;
  background-color: #fff;
  content: '';
  z-index: 1;
}

.snip1573:before {
  -webkit-transform: skew(45deg) translateX(-155%);
  transform: skew(45deg) translateX(-155%);
}

.snip1573:after {
  -webkit-transform: skew(45deg) translateX(155%);
  transform: skew(45deg) translateX(155%);
}

.snip1573 img {
  backface-visibility: hidden;
  max-width: 100%;
  vertical-align: top;
}

.snip1573 figcaption {
  top: 50%;
  left: 50%;
  position: absolute;
  z-index: 2;
  -webkit-transform: translate(-50%, -50%) scale(0.5);
  transform: translate(-50%, -50%) scale(0.5);
  opacity: 0;  
}

.snip1573 a {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 3;
}

.snip1573:hover > img,
.snip1573.hover > img {
  opacity: 0.5;
}

.snip1573:hover:before,
.snip1573.hover:before {
  -webkit-transform: skew(45deg) translateX(-49%);
  transform: skew(45deg) translateX(-49%);
}

.snip1573:hover:after,
.snip1573.hover:after {
  -webkit-transform: skew(45deg) translateX(49%);
  transform: skew(45deg) translateX(49%);
}

.snip1573:hover figcaption,
.snip1573.hover figcaption {
  -webkit-transform: translate(-50%, -50%) scale(1);
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
}

#portfolio-work {
  overflow: hidden;
  padding: 80px 0;
}
#portfolio-work .block .portfolio-menu {
  padding-bottom: 30px;
  text-align: center;
}
#portfolio-work .block .portfolio-menu ul {
  margin-bottom: 40px;
}
#portfolio-work .block .portfolio-menu ul li {
  font-family: Apercu;
  display: inline-block;
  padding: 0px 25px;
  cursor: pointer;
  line-height: 40px;
  text-transform: capitalize;
  position: relative;
}
#portfolio-work .block .portfolio-menu ul .active {
  position: relative;
}
#portfolio-work .block .portfolio-menu ul .active:before {
  position: absolute;   
  bottom: -18px;
  font-size: 30px;
  left: 0px;
  right: 0px;
  top: 23px;
  margin: 0 auto;
  color: #fff;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}
#portfolio-work .block .portfolio-menu ul li:hover:before {
  position: absolute;
  bottom: -18px;
  left: 0px;
  right: 0px;
  top: 24px;
  margin: 0 auto;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}
#portfolio-work .block .portfolio-contant ul li {
  overflow: hidden;
  margin: 20px;  
  
}
#portfolio-work .block .portfolio-contant ul li:hover .overly {
  opacity: 1;
}
#portfolio-work .block .portfolio-contant ul li:hover .position-center {
  position: absolute;
  top: 50%;
  -webkit-transform: translate(0%, -50%);
  -moz-transform: translate(0%, -50%);
  -ms-transform: translate(0%, -50%);
  transform: translate(0%, -50%);
}
#portfolio-work .block .portfolio-contant ul li a {
  color: #fff;
}

#portfolio-work .block .portfolio-contant ul img {
  width: 490px;
  height: auto;   
}
#portfolio-work .block .portfolio-contant .overly {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  opacity: 0;
  -webkit-transition: .3s all;
  -o-transition: .3s all;
  transition: .3s all;
  text-align: center;
}
#portfolio-work .block .portfolio-contant .position-center {
  position: absolute;
  top: 50%;
  left: 10%;
  -webkit-transform: translate(0%, 50%);
  -moz-transform: translate(0%, 50%);
  -ms-transform: translate(0%, 50%);
  transform: translate(0%, 50%);
  -webkit-transition: .5s all;
  -o-transition: .5s all;
  transition: .5s all;
}
#portfolio-work .block .mix {
  display: none;
}


/* Clases generales */
/* Espacio */
.lolop-espacio {
  clear: both;
  position: relative;
  border: none;
  padding: 0;
  margin: 0;
}

.lolop-espacio-xlg {
  height: 400px;
}
@media screen and (max-width: 768px) {
  .lolop-espacio-xlg {
    height: 70px;
    }
  }

.lolop-espacio-xl {
  height: 200px; }
@media screen and (max-width: 768px) {
  .lolop-espacio-xl {
    height: 70px;
    }
  }

.lolop-espacio-lg {
  height: 135px; }
@media screen and (max-width: 768px) {
  .lolop-espacio-lg {
    height: 50px;
    }
  }

.lolop-espacio-md {
  height: 80px; }
@media screen and (max-width: 768px) {
  .lolop-espacio-md {
    height: 30px;
    }
  }

.lolop-espacio-sm {
  height: 50px; }
@media screen and (max-width: 768px) {
  .lolop-espacio-sm {
    height: 20px;
    }
  }

.lolop-espacio-xs {
  height: 30px; }
@media screen and (max-width: 768px) {
  .lolop-espacio-xs {
    height: 20px;
    }
  }

.lolop-espacio-xxs {
  height: 20px;
}

@media screen and (max-width: 480px) {
  .col-xxs-12 {
    float: none;
    width: 100%;
    }
  }